Package ch.qos.logback.core.joran.event.stax

## Class StaxEventRecorder

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.event.stax.StaxEventRecorder

All Implemented Interfaces:
  `ContextAware`

    public class StaxEventRecorder
    extends ContextAwareBase

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`StaxEventRecorder​(Context context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<StaxEvent>` `getEventList()`
`void` `recordEvents​(java.io.InputStream inputStream)`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StaxEventRecorder

    public StaxEventRecorder​(Context context)

### Method Detail

#### recordEvents

    public void recordEvents​(java.io.InputStream inputStream)
                      throws JoranException

Throws:
  `JoranException`

#### getEventList

    public java.util.List<StaxEvent> getEventList()